API reference
List scheduled posts
post_list_scheduled — Posts in the publishing calendar: draft, scheduled, published, failed, cancelled — account, time, text, thread parts, pin, error, tweet ids.
post_list_scheduled · Reads saved data
Posts in the publishing calendar: draft, scheduled, published, failed, cancelled — account, time, text, thread parts, pin, error, tweet ids.
| REST | GET /api/public/v1/posts |
| MCP tool | post_list_scheduled |
| Permission needed | view — Owner, Manager, Operator, Viewer |
| Scope group | x:publish |
| Group | Posts |
| Shown up front in profiles | Automation |
Input
| Field | Type | Required | Description |
|---|---|---|---|
account |
string (1–100 chars) | No | The X account to use: its X-Buddy account_id (from account_list) or its @handle. Ambiguous names return candidates instead of guessing. |
status |
draft · scheduled · published · failed · cancelled |
No | |
from |
string (date-time) | No | Start (ISO 8601). Default: 7 days ago. |
to |
string (date-time) | No | End (ISO 8601). Default: now. |
cursor |
string (0–500 chars) | No | Opaque cursor from a previous page's next_cursor. |
limit |
integer (1–200) | No | Page size (default 50, max 200). |
Result
Returned in the { data, meta } envelope, without creating a job on X. Lists include next_cursor and has_more.
Example
Call over REST
curl -X GET "https://reach-link-craft.lovable.app/api/public/v1/posts" \
-H "Authorization: Bearer $XBUDDY_API_KEY"
Call over MCP
{
"method": "tools/call",
"params": {
"name": "post_list_scheduled",
"arguments": {}
}
}
Errors you may get
| Code | HTTP | Retryable |
|---|---|---|
unauthorized |
401 | No |
key_expired |
401 | No |
integration_revoked |
401 | No |
connection_not_linked |
403 | No |
integration_paused |
403 | No |
workspace_integrations_paused |
403 | No |
integration_authorization_lost |
403 | No |
workspace_suspended |
403 | No |
forbidden |
403 | No |
invalid_input |
422 | No |
rate_limited |
429 | Yes |
internal |
500 | Yes |
ambiguous_account |
409 | No |
account_not_allowed |
403 | No |
not_found |
404 | No |